kalevala writes

Hi there,

Recoll crashed when clicking on a file in the window that shows after Preferences/Index Configuration/Primary Directories/+ button. There isn’t any error message, the software disappears into thin air every time.

Specifications: tuxtrans, distro based on Xubuntu 12.4, recently updated to 14.4 (the issue occurred both before and after).- Recoll 1.19.12_p1 A newbie user to Linux.

FWIW, I have the same issue in other programs: DiffPDF and Calibre (but was corrected in the latter after updating).

Many thanks in advance.

medoc writes

Hi,

I just tried on an Ubuntu 14.04 box, and a 12.04 one. I have no machine which would have been updated from 12.04 to 14.04.

In both cases, I can’t reproduce the problem.

My first guess would be a Qt libraries compatibility issue. Did you try to start the GUI from the command line (type recoll in a terminal window), to see if there is any kind of message when it crashes ?

kalevala writes

Thanks, medoc.

I didn’t know you could get error messages if you start from the command line. I’ve done that and I find a different behaviour: it works ok if you click on folders inside the default folder, otherwise it’s just the same as before.

Anyway, here is the message:

recoll Got bus address: "unix:abstract=/tmp/dbus-iWFvLctGjv,guid=1c3fc45737ddaa8fc6d2e399000000af" Connected to accessibility bus at: "unix:abstract=/tmp/dbus-iWFvLctGjv,guid=1c3fc45737ddaa8fc6d2e399000000af" Registered DEC: true Registered event listener change listener: true QSpiAccessible::accessibleEvent not handled: "6" obj: QMenu(0xb8444ea8, name = "preferencesMenu") "preferencesMenu" QSpiAccessible::accessibleEvent not handled: "7" obj: QMenu(0xb8444ea8, name = "preferencesMenu") "preferencesMenu" FIXME: handle dialog start. QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!" QSpiAccessible::accessibleEvent not handled: "8008" obj: QSidebar(0xb8435de0, name = "sidebar") "sidebar" FIXME: handle dialog start. Interface is not valid ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899 Abortado

It’s quite cryptic to me. Thanks again.

medoc writes

Quite cryptic for me too, but it seems to point to a Qt bug. What Qt version do you have on the system ? (dpkg -l libqtgui4)

kalevala writes

name: libqtgui4 version: 4:4.8.1-0ubunt description: Qt 4 GUI module

Thx

medoc writes

Same here.

I googled the error message, and I got pointed to this: https://bugs.launchpad.net/ubuntu/+source/qtiplot/+bug/997462

Actually, many apps seem to have the same issue, definitely originating in Qt.

The comments from the issue seem to indicate that removing the qt-ai-spi package fixed the problem on Ubuntu 12.04. I wonder if you could try the same for 14.04?

medoc writes

This seems to be a known Ubuntu/Qt issue with multiple applications affected and a known workaround. Not a Recoll issue.

kalevala writes

Thank you, medoc.